<template>
  <div>
    <el-dialog
      v-dialogDrag
      :visible.sync="showBpmnModal"
      fullscreen
      top="0"
      title="BPMN 流程图"
    >
      <div style="overflow: auto;">
        <img :src="imgUrl"/>
      </div>
    </el-dialog>
  </div>
</template>
<script>
import global from '../../../api/config'

/**
 * 详情
 */
export default {
  data() {
    return {
      showBpmnModal: false,
      imgUrl: ''
    }
  },
  methods: {
    _open(id) {
      this.showBpmnModal = true
      this.imgUrl = global.baseURL + '/v1/flow-process/bpmn-png/' + id
    }
  }
}
</script>
